Skip to main content
POST
Create Bond Request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

network
enum<string>
required

Polkadot network:

  • `mainnet` — Polkadot mainnet.
  • `kusama` — Kusama mainnet.
  • `westend` — Polkadot testnet.
Available options:
mainnet,
kusama,
westend

Body

application/json
stashAccountAddress
string
required

Main stash account address which keeps tokens for bonding.

Example:

"5H6ryBWChC5w7eaQ4GZjo329sEnhvjetSr6MBEt42mZ5tPw5"

rewardDestinationType
enum<string>
required

Rewards destination type:

  • `staked` — rewards will be sent to your Stash account and added to your current bond (compounding rewards).
  • `stash` — rewards will be sent to your Stash account as transferable balance (not compounding rewards).
  • `controller` — rewards will be sent to the controller account.
  • `account` — rewards will be sent to any account you specify as transferable balance.
Available options:
staked,
stash,
controller,
account
Example:

"account"

amount
number<double>
required

Amount of tokens to bond (in usual DOTs/KSMs/WNDs).

Example:

3

extended
boolean

Optional boolean parameter indicating whether to include additional metadata in the response.

Example:

false

rewardDestination
string

Rewards destination account address.

Example:

"5H6ryBWChC5w7eaQ4GZjo329sEnhvjetSr6MBEt42mZ5tPw5"

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.